// Menu --------------

@import "../../../core/variables";

$menu-item-gap: 37px;

$button-close-size: 24px;
$button-close-z-index: 4;

.menu {

  @include mq("laptop-small", "max") {
    position: fixed;
    top: 0;
    right: 0;
    z-index: z(menu);
    width: 100%;
    max-width: 320px;
    height: 100%;
    padding-top: 40px;
    overflow-y: auto;
    background-color: $color-white;
    transform: translateX(100%);
    transition: transform $transition-time $transition-type;

    &.menu--open {
      transform: translateX(0%);
    }
  }
}

.menu__list {
  display: flex;

  @include mq("laptop-small", "max") {
    flex-direction: column;
    text-align: center;
  }
}

.menu__item {

  & + .menu__item {

    @include mq("laptop-small") {
      margin-left: $menu-item-gap;
    }
  }
}

.menu__link {
  color: $color-primary;
  font-weight: $text-weight-bold;
  font-size: $text-size-xs;
  text-transform: uppercase;

  @include mq("laptop-small", "max") {
    display: block;
    padding-top: 12px;
    padding-bottom: 12px;

    &:active {
      background-color: $color-white-darken;
    }

    &:hover {
      color: currentColor;
    }
  }
}

.menu__button {
  position: absolute;
  top: 10px;
  right: 10px;
  z-index: $button-close-z-index;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: $button-close-size;
  height: $button-close-size;
  padding: 0;
  border: 0;
  background: transparent;
  cursor: pointer;

  @include mq("laptop-small") {
    display: none;
  }
}

.menu__contacts {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 30px;
  text-align: center;

  @include mq("laptop-small") {
    display: none;
  }
}

.menu__phone {
  color: $color-black-light;
  font-weight: $text-weight-bold;
}

.menu__call-text {
  color: $color-primary;
  font-size: $text-size-xs;
}
// -------------- end menu
